package com.perforce.hws.plugin.perforce;

import com.perforce.hws.core.HwsPluginLoader;
import com.perforce.hws.spark.api.P4Api;
import ro.fortsoft.pf4j.Extension;
import ro.fortsoft.pf4j.Plugin;
import ro.fortsoft.pf4j.PluginWrapper;
import spark.Service;

public class PerforcePlugin extends Plugin {

	private static String name;
	
	public PerforcePlugin(PluginWrapper wrapper) {
		super(wrapper);
		name = wrapper.getPluginId();
	}

	@Extension
	public static class Loader implements HwsPluginLoader {

		@Override
		public String getName() {
			return name;
		}

		@Override
		public void addRoutes(final String basePath, final Service service) {
			new P4Api(basePath, service);
		}
	}
}
